function [ amach, qbar ] = adc( vt, alt )
% adc -     .
%           TAS  .
r0 = 2.377e-3;
tfac = 1.0 - (0.703e-5)*alt;
t = 519.0*tfac;
if (alt > 35000)
    t=390;
end
rho = r0*(tfac^4.14);
amach = vt/sqrt(1.4*1716.3*t);
qbar = 0.5*rho*vt*vt;
ps = 1715.0*rho*t;
end

